package mywebapp;

import java.io.*;

public class CounterBean {

  public CounterBean() {
    loadCounter();
  }

  private int counter;
  public int getCounter() {
    return counter;
  }
  public void setCounter(int newCounter) {
    counter = newCounter;
    saveCounter();
  }
  public void increment() {
    counter++;
    saveCounter();
  }

  private String filename = "./counter.txt";

  synchronized private void saveCounter() {
    try {
      PrintWriter writer = new PrintWriter(new FileOutputStream(filename, false));
      writer.println(counter);
      writer.close();
    }
    catch (Exception ex) {
      ex.printStackTrace();
    }
  }

  synchronized private void loadCounter() {
    try {
      BufferedReader reader = new BufferedReader(
        new InputStreamReader(new FileInputStream(filename)));
      try {
        String value = reader.readLine();
        counter = Integer.parseInt(value);
      }
      catch (Exception ex) {
        ex.printStackTrace();
      }
      reader.close();
    }
    catch (Exception ex) {}
  }
}